path: /build/build/xfsprogs-sys-fs-6.14.0+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-libedit icu nls readline" emerge sys-fs/xfsprogs -pv -t && \
    USE="-libedit icu nls readline" emerge -j ${JOBS}  sys-fs/xfsprogs && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/xfsprogs && \
    luet-portage --dir /pkgdir/xfsprogs sys-fs/xfsprogs && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:45e7ab1227b88c2d2cb1e42a9eae12ff140a73083bafda01078d1ff2cecd0083
  package:
    name: xfsprogs
    version: 6.14.0+2
    category: sys-fs
    use_flags:
    - -libedit
    - icu
    - nls
    - readline
    requires:
    - name: pkgconfig
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: xfs filesystem utilities
    uri:
    - https://xfs.wiki.kernel.org/
    license: LGPL-2.1
    buildtimestamp: 2025-09-22 06:29:38.265869324 +0000 UTC m=+735.279972173
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: '>=sys-apps/util-linux-2.17.2 icu? ( dev-libs/icu:= ) libedit? ( dev-libs/libedit
        ) dev-libs/inih dev-libs/userspace-rcu !<sys-fs/xfsdump-3 nls? ( sys-devel/gettext
        )'
      IUSE: icu libedit nls static-libs +split-usr
      RDEPEND: '>=sys-apps/util-linux-2.17.2 icu? ( dev-libs/icu:= ) libedit? ( dev-libs/libedit
        ) dev-libs/inih dev-libs/userspace-rcu !<sys-fs/xfsdump-3'
      emerge.packages: sys-fs/xfsprogs
      kit: core-server-kit
      original.package.name: sys-fs/xfsprogs
      original.package.slot: "0"
      original.package.version: 6.14.0
    treedir: /build/packages
  package_dir: /pkgdir/xfsprogs
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5d9a81e35f2ea206ca8bfbc4f4c934fe36d0917887d6fe88a8da8a9fbea18642
compressiontype: zstd
files:
- lib/systemd/system/system-xfs_scrub.slice
- lib/systemd/system/xfs_scrub@.service
- lib/systemd/system/xfs_scrub_all.service
- lib/systemd/system/xfs_scrub_all.timer
- lib/systemd/system/xfs_scrub_all_fail.service
- lib/systemd/system/xfs_scrub_fail@.service
- lib/systemd/system/xfs_scrub_media@.service
- lib/systemd/system/xfs_scrub_media_fail@.service
- usr/include/xfs/handle.h
- usr/include/xfs/jdm.h
- usr/include/xfs/linux.h
- usr/include/xfs/xfs.h
- usr/include/xfs/xfs_arch.h
- usr/include/xfs/xfs_da_format.h
- usr/include/xfs/xfs_format.h
- usr/include/xfs/xfs_fs.h
- usr/include/xfs/xfs_fs_compat.h
- usr/include/xfs/xfs_log_format.h
- usr/include/xfs/xfs_types.h
- usr/include/xfs/xqm.h
- usr/lib64/libhandle.so
- usr/lib64/libhandle.so.1
- usr/lib64/libhandle.so.1.0.3
- usr/libexec/xfsprogs/xfs_scrub_fail
- usr/sbin/fsck.xfs
- usr/sbin/mkfs.xfs
- usr/sbin/xfs_admin
- usr/sbin/xfs_bmap
- usr/sbin/xfs_copy
- usr/sbin/xfs_db
- usr/sbin/xfs_estimate
- usr/sbin/xfs_freeze
- usr/sbin/xfs_fsr
- usr/sbin/xfs_growfs
- usr/sbin/xfs_info
- usr/sbin/xfs_io
- usr/sbin/xfs_logprint
- usr/sbin/xfs_mdrestore
- usr/sbin/xfs_metadump
- usr/sbin/xfs_mkfile
- usr/sbin/xfs_ncheck
- usr/sbin/xfs_property
- usr/sbin/xfs_protofile
- usr/sbin/xfs_quota
- usr/sbin/xfs_repair
- usr/sbin/xfs_rtcp
- usr/sbin/xfs_scrub
- usr/sbin/xfs_scrub_all
- usr/sbin/xfs_spaceman
- usr/share/doc/xfsprogs-6.14.0/CHANGES.bz2
- usr/share/doc/xfsprogs-6.14.0/CREDITS.bz2
- usr/share/doc/xfsprogs-6.14.0/README.bz2
- usr/share/locale/de/LC_MESSAGES/xfsprogs.mo
- usr/share/locale/pl/LC_MESSAGES/xfsprogs.mo
- usr/share/man/man2/ioctl_xfs_ag_geometry.2.bz2
- usr/share/man/man2/ioctl_xfs_bulkstat.2.bz2
- usr/share/man/man2/ioctl_xfs_commit_range.2.bz2
- usr/share/man/man2/ioctl_xfs_exchange_range.2.bz2
- usr/share/man/man2/ioctl_xfs_fsbulkstat.2.bz2
- usr/share/man/man2/ioctl_xfs_fscounts.2.bz2
- usr/share/man/man2/ioctl_xfs_fsgeometry.2.bz2
- usr/share/man/man2/ioctl_xfs_fsgetxattr.2.bz2
- usr/share/man/man2/ioctl_xfs_fsgetxattra.2
- usr/share/man/man2/ioctl_xfs_fsinumbers.2.bz2
- usr/share/man/man2/ioctl_xfs_fssetxattr.2
- usr/share/man/man2/ioctl_xfs_getbmap.2
- usr/share/man/man2/ioctl_xfs_getbmapa.2
- usr/share/man/man2/ioctl_xfs_getbmapx.2.bz2
- usr/share/man/man2/ioctl_xfs_getparents.2.bz2
- usr/share/man/man2/ioctl_xfs_getresblks.2.bz2
- usr/share/man/man2/ioctl_xfs_goingdown.2.bz2
- usr/share/man/man2/ioctl_xfs_inumbers.2.bz2
- usr/share/man/man2/ioctl_xfs_rtgroup_geometry.2.bz2
- usr/share/man/man2/ioctl_xfs_scrub_metadata.2.bz2
- usr/share/man/man2/ioctl_xfs_scrubv_metadata.2.bz2
- usr/share/man/man2/ioctl_xfs_setresblks.2
- usr/share/man/man2/ioctl_xfs_start_commit.2
- usr/share/man/man3/attr_list_by_handle.3.bz2
- usr/share/man/man3/attr_multi_by_handle.3.bz2
- usr/share/man/man3/fd_to_handle.3.bz2
- usr/share/man/man3/free_handle.3.bz2
- usr/share/man/man3/fssetdm_by_handle.3.bz2
- usr/share/man/man3/getparentpaths_by_handle.3.bz2
- usr/share/man/man3/getparents_by_handle.3.bz2
- usr/share/man/man3/handle_to_fshandle.3.bz2
- usr/share/man/man3/open_by_handle.3.bz2
- usr/share/man/man3/path_to_fshandle.3.bz2
- usr/share/man/man3/path_to_handle.3.bz2
- usr/share/man/man3/readlink_by_handle.3.bz2
- usr/share/man/man3/xfsctl.3.bz2
- usr/share/man/man5/projects.5.bz2
- usr/share/man/man5/projid.5.bz2
- usr/share/man/man5/xfs.5.bz2
- usr/share/man/man8/fsck.xfs.8.bz2
- usr/share/man/man8/mkfs.xfs.8.bz2
- usr/share/man/man8/xfs_admin.8.bz2
- usr/share/man/man8/xfs_bmap.8.bz2
- usr/share/man/man8/xfs_copy.8.bz2
- usr/share/man/man8/xfs_db.8.bz2
- usr/share/man/man8/xfs_estimate.8.bz2
- usr/share/man/man8/xfs_freeze.8.bz2
- usr/share/man/man8/xfs_fsr.8.bz2
- usr/share/man/man8/xfs_growfs.8.bz2
- usr/share/man/man8/xfs_info.8.bz2
- usr/share/man/man8/xfs_io.8.bz2
- usr/share/man/man8/xfs_logprint.8.bz2
- usr/share/man/man8/xfs_mdrestore.8.bz2
- usr/share/man/man8/xfs_metadump.8.bz2
- usr/share/man/man8/xfs_mkfile.8.bz2
- usr/share/man/man8/xfs_ncheck.8.bz2
- usr/share/man/man8/xfs_property.8.bz2
- usr/share/man/man8/xfs_protofile.8.bz2
- usr/share/man/man8/xfs_quota.8.bz2
- usr/share/man/man8/xfs_repair.8.bz2
- usr/share/man/man8/xfs_rtcp.8.bz2
- usr/share/man/man8/xfs_scrub.8.bz2
- usr/share/man/man8/xfs_scrub_all.8.bz2
- usr/share/man/man8/xfs_spaceman.8.bz2
- usr/share/xfsprogs/mkfs/dax_x86_64.conf
- usr/share/xfsprogs/mkfs/lts_4.19.conf
- usr/share/xfsprogs/mkfs/lts_5.10.conf
- usr/share/xfsprogs/mkfs/lts_5.15.conf
- usr/share/xfsprogs/mkfs/lts_5.4.conf
- usr/share/xfsprogs/mkfs/lts_6.1.conf
- usr/share/xfsprogs/mkfs/lts_6.12.conf
- usr/share/xfsprogs/mkfs/lts_6.6.conf
- usr/share/xfsprogs/xfs_scrub_all.cron
- var/db/pkg/sys-fs/xfsprogs-6.14.0/BDEPEND
- var/db/pkg/sys-fs/xfsprogs-6.14.0/BUILD_TIME
- var/db/pkg/sys-fs/xfsprogs-6.14.0/CATEGORY
- var/db/pkg/sys-fs/xfsprogs-6.14.0/CBUILD
- var/db/pkg/sys-fs/xfsprogs-6.14.0/CFLAGS
- var/db/pkg/sys-fs/xfsprogs-6.14.0/CHOST
- var/db/pkg/sys-fs/xfsprogs-6.14.0/CONTENTS
- var/db/pkg/sys-fs/xfsprogs-6.14.0/COUNTER
- var/db/pkg/sys-fs/xfsprogs-6.14.0/CTARGET
- var/db/pkg/sys-fs/xfsprogs-6.14.0/CXX
- var/db/pkg/sys-fs/xfsprogs-6.14.0/CXXFLAGS
- var/db/pkg/sys-fs/xfsprogs-6.14.0/DEFINED_PHASES
- var/db/pkg/sys-fs/xfsprogs-6.14.0/DEPEND
- var/db/pkg/sys-fs/xfsprogs-6.14.0/DESCRIPTION
- var/db/pkg/sys-fs/xfsprogs-6.14.0/EAPI
- var/db/pkg/sys-fs/xfsprogs-6.14.0/FEATURES
- var/db/pkg/sys-fs/xfsprogs-6.14.0/HOMEPAGE
- var/db/pkg/sys-fs/xfsprogs-6.14.0/INHERITED
- var/db/pkg/sys-fs/xfsprogs-6.14.0/IUSE
- var/db/pkg/sys-fs/xfsprogs-6.14.0/IUSE_EFFECTIVE
- var/db/pkg/sys-fs/xfsprogs-6.14.0/KEYWORDS
- var/db/pkg/sys-fs/xfsprogs-6.14.0/LDFLAGS
- var/db/pkg/sys-fs/xfsprogs-6.14.0/LICENSE
- var/db/pkg/sys-fs/xfsprogs-6.14.0/NEEDED
- var/db/pkg/sys-fs/xfsprogs-6.14.0/NEEDED.ELF.2
- var/db/pkg/sys-fs/xfsprogs-6.14.0/PF
- var/db/pkg/sys-fs/xfsprogs-6.14.0/PROVIDES
- var/db/pkg/sys-fs/xfsprogs-6.14.0/RDEPEND
- var/db/pkg/sys-fs/xfsprogs-6.14.0/REQUIRES
- var/db/pkg/sys-fs/xfsprogs-6.14.0/SIZE
- var/db/pkg/sys-fs/xfsprogs-6.14.0/SLOT
- var/db/pkg/sys-fs/xfsprogs-6.14.0/USE
- var/db/pkg/sys-fs/xfsprogs-6.14.0/environment.bz2
- var/db/pkg/sys-fs/xfsprogs-6.14.0/repository
- var/db/pkg/sys-fs/xfsprogs-6.14.0/xfsprogs-6.14.0.ebuild
package_cacheimage: ""
runtime:
  name: xfsprogs
  version: 6.14.0+2
  category: sys-fs
  use_flags:
  - -libedit
  - icu
  - nls
  - readline
  requires:
  - name: icu
    version: '>=0'
    category: dev-libs
  - name: util-linux
    version: '>=0'
    category: sys-apps
  - name: readline
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: xfs filesystem utilities
  uri:
  - https://xfs.wiki.kernel.org/
  license: LGPL-2.1
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: '>=sys-apps/util-linux-2.17.2 icu? ( dev-libs/icu:= ) libedit? ( dev-libs/libedit
      ) dev-libs/inih dev-libs/userspace-rcu !<sys-fs/xfsdump-3 nls? ( sys-devel/gettext
      )'
    IUSE: icu libedit nls static-libs +split-usr
    RDEPEND: '>=sys-apps/util-linux-2.17.2 icu? ( dev-libs/icu:= ) libedit? ( dev-libs/libedit
      ) dev-libs/inih dev-libs/userspace-rcu !<sys-fs/xfsdump-3'
    emerge.packages: sys-fs/xfsprogs
    kit: core-server-kit
    original.package.name: sys-fs/xfsprogs
    original.package.slot: "0"
    original.package.version: 6.14.0
